FROM debian:stable
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get -qq -y update
RUN apt-get -qq -y install apt-utils
RUN apt-get -qq -y dist-upgrade
RUN apt-get -qq -y install build-essential libssl-dev zlib1g-dev cpanminus perl-doc git libpq-dev postgresql-client perlmagick wget tar gzip libtap-formatter-junit-perl
RUN cpanm -q Carton
